## org.eclipse.datatools.enablement.sybase.deltaddl
Class AbstractDeltaDdlGenProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder
          org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider

All Implemented Interfaces:
  IDeltaDdlGenProvider

Direct Known Subclasses:
  ConstraintDeltaDdlGenProvider, GenericDeltaDdlGenProvider, PrivilegeDeltaDdlGenProvider, SybaseASABaseTableDeltaDdlGenProvider, SybaseASABaseViewTableDeltaDdlGenProvider, SybaseASAColumnDeltaDdlGenProvider, SybaseASEColumnDeltaDdlGenProvider, SybaseASEConstraintDeltaDdlGenProvider, SybaseASEDefaultDeltaDdlGenProvider, SybaseASEIndexDeltaDdlGenProvider, SybaseASERuleDeltaDdlGenProvider, SybaseASETableDeltaDdlGenProvider, SybaseASETriggerDeltaDdlProvider, SybaseASEUserDefinedTypeDeltaDdlGenProvider, SybaseIndexDeltaDdlGenProvider

    public abstract class AbstractDeltaDdlGenProvider

extends GenericDdlBuilder
implements IDeltaDdlGenProvider

This class provides a skeletal implementation of the IDeltaDdlGenProvider interface to minimize the effort required to implement getModificationResult method to generate modifcation sql script.

Author:
  linsong

Constructor Summary
`AbstractDeltaDdlGenProvider()`

Method Summary
`void` `analyze(SQLObject element, java.util.Map changeMap, java.util.Map modificationRecords)` analyze specified sqlobject changes
`java.lang.Object` `getParameter()`
`void` `processAlterStatement(SQLObject element, java.util.Map modifyRecordMap, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject modification scripts
`void` `processCreateStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, ISybaseDdlGenerator generator, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject creation scripts
`void` `processDropStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, SybaseDdlScript script, ISybaseDdlGenerator generator, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject drop scripts
`void` `setParameter(java.lang.Object obj)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder

`addCheckConstraint, addForeignKey, addUniqueConstraint, alterTableAddColumn, createAssertion, createIndex, createProcedure, createSchema, createTable, createTrigger, createUserDefinedFunction, createUserDefinedType, createView, dropAssertion, dropFunction, dropIndex, dropProcedure, dropSchema, dropTable, dropTableConstraint, dropTrigger, dropUserDefinedType, dropView, getEngineeringCallBack, isImplicitConstraint, setEngineeringCallBack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDeltaDdlGenProvider

    public AbstractDeltaDdlGenProvider()

Method Detail

### analyze

    public void analyze(SQLObject element,
                        java.util.Map changeMap,
                        java.util.Map modificationRecords)

  Description copied from interface: `IDeltaDdlGenProvider`
  analyze specified sqlobject changes

  Specified by:
    `analyze` in interface `IDeltaDdlGenProvider`

### processAlterStatement

    public void processAlterStatement(SQLObject element,
                                      java.util.Map modifyRecordMap,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames,
                                      boolean fullSyntax,
                                      SybaseDdlScript script,
                                      org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDeltaDdlGenProvider`
  generate specified sqlobject modification scripts

  Specified by:
    `processAlterStatement` in interface `IDeltaDdlGenProvider`

### processCreateStatement

    public void processCreateStatement(SQLObject element,
                                       boolean quoteIdentifiers,
                                       boolean qualifyNames,
                                       boolean fullSyntax,
                                       SybaseDdlScript script,
                                       ISybaseDdlGenerator generator,
                                       org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDeltaDdlGenProvider`
  generate specified sqlobject creation scripts

  Specified by:
    `processCreateStatement` in interface `IDeltaDdlGenProvider`

### processDropStatement

    public void processDropStatement(SQLObject element,
                                     boolean quoteIdentifiers,
                                     boolean qualifyNames,
                                     SybaseDdlScript script,
                                     ISybaseDdlGenerator generator,
                                     org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDeltaDdlGenProvider`
  generate specified sqlobject drop scripts

  Specified by:
    `processDropStatement` in interface `IDeltaDdlGenProvider`

### setParameter

    public void setParameter(java.lang.Object obj)

### getParameter

    public java.lang.Object getParameter()